Loading...
Searching...
No Matches
ressegm2d.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <grass/gis.h>`
`#include <grass/raster.h>`
`#include <grass/interpf.h>`
`#include <grass/gmath.h>`
Include dependency graph for ressegm2d.c:

Go to the source code of this file.

## Functions

int

IL_resample_interp_segments_2d (struct interp_params *params, struct BM *bitmask, double zmin, double zmax, double *zminac, double *zmaxac, double *gmin, double *gmax, double *c1min, double *c1max, double *c2min, double *c2max, double *ertot, off_t offset1, double *dnorm, int overlap, int inp_rows, int inp_cols, int fdsmooth, int fdinp, double ns_res, double ew_res, double inp_ns_res, double inp_ew_res, int dtens)

## Function Documentation

## IL_resample_interp_segments_2d()

int IL_resample_interp_segments_2d | ( | struct interp_params * | params,
|  | struct BM * | bitmask,
|  | double | zmin,
|  | double | zmax,
|  | double * | zminac,
|  | double * | zmaxac,
|  | double * | gmin,
|  | double * | gmax,
|  | double * | c1min,
|  | double * | c1max,
|  | double * | c2min,
|  | double * | c2max,
|  | double * | ertot,
|  | off_t | offset1,
|  | double * | dnorm,
|  | int | overlap,
|  | int | inp_rows,
|  | int | inp_cols,
|  | int | fdsmooth,
|  | int | fdinp,
|  | double | ns_res,
|  | double | ew_res,
|  | double | inp_ns_res,
|  | double | inp_ew_res,
|  | int | dtens )

Definition at line 33 of file ressegm2d.c.

References b, interp_params::check_points, interp_params::fi, G_alloc_ivector(), G_alloc_matrix(), G_alloc_vector(), G_free(), G_lubksb(), G_percent(), interp_params::grid_calc, interp_params::kmax, interp_params::KMAX2, interp_params::kmin, l, interp_params::matrix_create, min1(), quaddata::n_cols, quaddata::n_points, quaddata::n_rows, interp_params::nsizc, interp_params::nsizr, NULL, quad_data_new(), r, fcell_triple::smooth, fcell_triple::x, x, interp_params::x_orig, quaddata::xmax, fcell_triple::y, interp_params::y_orig, and quaddata::ymax.